{
	"format_version": "1.16.100",
	"minecraft:block": {
		"description": {
			"identifier": "bridge:landmine"
		},
		"components": {
			"minecraft:geometry": "geometry.landmine",
			"minecraft:material_instances": {
				"*": {
					"texture": "landmine",
					"render_method": "opaque"
				}
			},
			"minecraft:block_light_absorption": 0.0,
			"minecraft:destroy_time": 10,
			"minecraft:on_step_on": {
				"event": "start_exploding"
			},
			"minecraft:on_fall_on": {
				"event": "start_exploding"
			},
			"minecraft:pick_collision": {
				"origin": [
					-6,
					0,
					-6
				],
				"size": [
					12,
					3,
					12
				]
			},
			"minecraft:entity_collision": {
				"origin": [
					-6,
					0,
					-6
				],
				"size": [
					12,
					5,
					12
				]
			}
		},
		"events": {
			"start_exploding": {
				"run_command": {
					"command": [
						"setblock ~ ~ ~ air",
						"playsound misc.effect.blind @p[r=3] ~ ~ ~ 1 1",
						"effect @p[r=3] blindness 2 5 true",
						"summon bridge:landmine_explode"
					]
				}
			}
		}
	}
}